Name:           python-sbapp
Version:        1.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        LXMF client for Android, Linux and macOS allowing you to communicate with people or LXMF-compatible systems over Reticulum networks using LoRa, Packet Radio, WiFi, I2P, or anything else Reticulum supports.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://unsigned.io/sideband
Source:         %{pypi_source sbapp}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sbapp' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sbapp
Summary:        %{summary}

%description -n python3-sbapp %_description


%prep
%autosetup -p1 -n sbapp-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sbapp -f %{pyproject_files}


%changelog
%autochangelog